#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

const int MAXN = 1e6;

struct unionfind{
	int n;
	vector<int> par, sz;
	unionfind() {}
	unionfind(int n) : n(n){
		par = vector<int>(n + 1);
		iota(all(par), 0);
		sz = vector<int>(n + 1, 1);
	}
	bool join(int u, int v){
		int nu = u, nv = v;
		u = find(u); v = find(v);
		if(u == v) return false;
		if(sz[u] < sz[v]) swap(u, v);
		sz[u] += sz[v];
		par[v] = u;
		return true;
	}
	int find(int u){
		return (par[u] == u ? u : par[u] = find(par[u]));
	}
};

int n, nodes[MAXN + 5];
vector<int> a;

int main(){
	cin >> n;
	a.resize(n);
	for(auto &x : a) cin >> x;
	sort(all(a));
	long long ans = 0;
	vector<int> new_a;
	unionfind dsu(n);
	for(int i = 0; i + 1 < n; i ++){
		if(a[i] == a[i + 1]){
			dsu.join(i + 1, i + 2);
			ans += a[i];
		}
		else nodes[a[i]] = i + 1;
	}
	nodes[a[n - 1]] = n;
	for(int d = MAXN; d >= 1; d --){
		int last_node = -1;
		for(int k = d; k <= MAXN; k += d){
			if(nodes[k] == 0) continue;
			if(last_node != -1 && dsu.join(nodes[k], last_node)) ans += d;
			last_node = nodes[k];
		}
	}
	cout << ans << endl;
}
