#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

struct unionfind{
	int n;
	vector<int> par, sz;
	unionfind() {}
	unionfind(int n) : n(n){
		par = vector<int>(n + 1);
		iota(all(par), 0);
		sz = vector<int>(n + 1, 1);
	}
	bool join(int u, int v){
		u = find(u); v = find(v);
		if(u == v) return false;
		if(sz[u] < sz[v]) swap(u, v);
		sz[u] += sz[v];
		par[v] = u;
		return true;
	}
	int find(int u){
		return (par[u] == u ? u : par[u] = find(par[u]));
	}
};

int main(){
	int n; cin >> n;
	vector<int> a(n);
	for(auto &x : a) cin >> x;
	vector<array<int, 3>> edges;
	for(int i = 0; i < n; i ++){
		for(int j = i + 1; j < n; j ++){
			edges.push_back({gcd(a[i], a[j]), i + 1, j + 1});
		}
	}
	sort(all(edges), greater<array<int, 3>>());
	unionfind dsu(n);
	long long ans = 0;
	for(auto [w, u, v] : edges){
		if(dsu.join(u, v)) ans += (long long)w; 
	}
	cout << ans << endl;
}
