#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

const int MAXN = 1e6;

struct unionfind{
	int n;
	vector<int> par, sz;
	unionfind() {}
	unionfind(int n) : n(n){
		par = vector<int>(n + 1);
		iota(all(par), 0);
		sz = vector<int>(n + 1, 1);
	}
	bool join(int u, int v){
		assert(u <= n); 
		assert(v <= n);
		u = find(u); v = find(v);
		if(u == v) return false;
		if(sz[u] < sz[v]) swap(u, v);
		sz[u] += sz[v];
		par[v] = u;
		return true;
	}
	int find(int u){
		return (par[u] == u ? u : par[u] = find(par[u]));
	}
};

int n;
vector<int> nodes[MAXN + 5];
vector<int> a;

int main(){
	cin >> n;
	a.resize(n);
	for(auto &x : a) cin >> x;
	sort(all(a));
	long long ans = 0;
	for(int i = 0; i < n; i ++){
		nodes[a[i]].push_back(i + 1);
	}
	unionfind dsu(n);
	for(int d = MAXN; d >= 1; d --){
		int last_node = -1;
		for(int k = d; k <= MAXN; k += d){
			for(auto node : nodes[k]){
				if(last_node != -1 && dsu.join(node, last_node)) ans += d;
				last_node = node;
			}
		}
	}
	cout << ans << endl;
}
