#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

const int MAXN = 1e6;

struct unionfind{
	int n;
	vector<int> par, sz;
	unionfind() {}
	unionfind(int n) : n(n){
		par = vector<int>(n + 1);
		iota(all(par), 0);
		sz = vector<int>(n + 1, 1);
	}
	bool join(int u, int v){
		int nu = u, nv = v;
		u = find(u); v = find(v);
		if(u == v) return false;
		if(sz[u] < sz[v]) swap(u, v);
		sz[u] += sz[v];
		par[v] = u;
		return true;
	}
	int find(int u){
		return (par[u] == u ? u : par[u] = find(par[u]));
	}
};

int n, min_div[MAXN + 5], a[MAXN + 5];
vector<int> nodes[MAXN + 5]; 

void init(){
	for(int d = 2; d <= MAXN; d ++){
		for(int k = d; k <= MAXN; k += d){
			if(min_div[k] == 0) min_div[k] = d;
		}
	}
}

int main(){
	init();
	cin >> n;
	for(int i = 1; i <= n; i ++){
		cin >> a[i];
		int x = a[i];
		while(min_div[x]){
			nodes[min_div[x]].push_back(i);
			x /= min_div[x];
		}
	}
	long long ans = 0;
	unionfind dsu(n);
	for(auto vec : nodes){
		if(vec.empty()) continue;
		reverse(all(vec));
		int last = 0;
		for(auto x : vec){
			if(last && dsu.join(x, last)){
				ans += gcd(a[x], a[last]);
			}
			last = x;
		}
	}
	int last = 0;
	for(auto vec : nodes){
		if(vec.empty()) continue;
		if(last && dsu.join(last, vec.back())){
			ans += gcd(a[last], a[vec.back()]);
		}
		last = vec.back();
	}
	cout << ans << endl;
}
