#include "testlib.h"
#include<bits/stdc++.h>
#define all(A) A.begin(), A.end()
using namespace std;

const int MAXN = 1e6;

bool sieve[MAXN + 5];
vector<int> primes, small_primes, big_primes;

void init(int MAXA){
	for(int d = 2; d <= MAXA; d ++){
		if(!sieve[d]){
			primes.push_back(d);
			(1LL * d * d > MAXA ? big_primes : small_primes).push_back(d);
		}
		for(long long k = 1LL * d * d; k <= MAXA; k += d){
			sieve[k] = true;
		}
	}
}

int main(int argc, char **argv){
	registerGen(argc, argv, 1);
	bool prime = opt<bool>("prime");
	bool spread = opt<bool>("spread");
	bool random = opt<bool>("random");
	bool over_sqrt = opt<bool>("over_sqrt");
	bool under_sqrt = opt<bool>("under_sqrt");
	bool big_numbers = opt<bool>("big_numbers");
	int n = opt<int>(1), maxa = opt<int>(2);
	vector<int> a(n);
	init(maxa);
	if(prime){
		int low = 0, high = primes.size() - 1, idx = -1;
		while(low <= high){
			int mid = (low + high) / 2;
			if(primes[mid] <= maxa){
				idx = mid;
				low = mid + 1;
			}
			else{
				high = mid - 1;
			}
		}
		for(auto &x : a){
			assert(idx > -1);
			x = primes[rnd.next(0, idx)];
		}
	}
	if(random){
		for(auto &x : a){
			x = rnd.next(1, maxa);
		}
	}
	if(spread){
		a = vector<int>(n, 1);
		for(int i = 0; i < 10 * sqrt(n); i ++){
			int d = primes[rnd.next(0, (int)primes.size() - 1)];
			for(int j = 0; j < 3 * sqrt(n); j ++){
				int idx = rnd.next(0, n - 1);
				if(maxa / a[idx] >= d){
					a[idx] *= d;
				}
			}
		}
	}
	if(under_sqrt){
		for(auto &x : a){
			while(x == 0 || x > maxa) x = small_primes[rnd.next(0, (int)small_primes.size() - 1)] * small_primes[rnd.next(0, (int)small_primes.size() - 1)];
			while(rnd.next(1, 100) <= 60 && 2 * x <= maxa){
				int low = 0, high = small_primes.size() - 1, idx = -1;
				while(low <= high){
					int mid = (low + high) / 2;
					if(small_primes[mid] * x <= maxa){
						idx = mid;
						low = mid + 1;
					}
					else high = mid - 1;
				}
				x *= small_primes[rnd.wnext(0, idx, 1)];
			}
		}
	}
	if(over_sqrt){
		for(auto &x : a){
			x = big_primes[rnd.next(0, (int)big_primes.size() - 1)];
		}
		for(auto &x : a){
			while(rnd.next(1, 100) <= 60 && 2 * x <= maxa){
				int low = 0, high = small_primes.size() - 1, idx = -1;
				while(low <= high){
					int mid = (low + high) / 2;
					if(small_primes[mid] * x <= maxa){
						idx = mid;
						low = mid + 1;
					}
					else high = mid - 1;
				}
				x *= small_primes[rnd.wnext(0, idx, 1)];
			}
		}
	}
	if(big_numbers){
		for(auto &x : a){
			x = rnd.next(maxa / 2, maxa);
		}
	}
	cout << n << endl;
	for(auto x : a){
		assert(1 <= x && x <= maxa);
		cout << x << " ";
	} cout << endl;
}
